Loading...
Searching...
No Matches
element.hpp File Reference

## Description

Provides bsoncxx::v_noabi::document::element.

Includes
  - bsoncxx/v1/element/view.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::document::element
| A variant view type that accesses values in serialized BSON documents. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::document
| Declares entities representing a BSON document.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::document
| Declares entities representing a BSON document.

## Functions

bool | bsoncxx::document::operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
v1::element::view | bsoncxx::v_noabi::to_v1 (v_noabi::document::element const &v)
| Convert to the bsoncxx::v1 equivalent of v.
bool | bsoncxx::v_noabi::document::operator!= (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | bsoncxx::v_noabi::document::operator!= (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | bsoncxx::v_noabi::document::operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | bsoncxx::v_noabi::document::operator== (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.